[PyQt] PyQt4 licensing

Simon Edwards simon at simonzone.com
Fri Sep 21 21:21:31 BST 2007

Phil Thompson wrote:
> On Friday 21 September 2007, Detlev Offenbach wrote:
>> I am thinking about moving the eric4 license to GPL v3, but I am unsure, if
>> this is compatible with the PyQt4/Qt4 license. Any ideas?
> IANAL, but I don't think you can. v2 and v3 are, I think, incompatible and 
> neither Qt nor PyQt define v3 as an exception.

IANAL, GPL v2 won't mix with anything else. What you can do is license 
eric as "GPL v2 or later" (or even "GPL v2 or GPL v3"). Then when the 
other components (Qt4 etc) support GPL v3, eric will be ready for use 
under GPL v3 too.

> http://trolltech.com/products/qt/gplexception
> Things might change of course.

I believe they are investigating it at least.

Simon Edwards             | KDE-NL, Guidance tools, Guarddog Firewall
simon at simonzone.com       | http://www.simonzone.com/software/
Nijmegen, The Netherlands | "ZooTV? You made the right choice."

More information about the PyQt mailing list